# GetStrategyHistoricalClosedTrades

Returns the historical closed trades of the strategy. The difference between an order and a trade is trades group orders on 'tradeid', much like you would see on our web site. Non-paginated endpoint.

Endpoint: GET /Strategies/GetStrategyHistoricalClosedTrades
Version: v4
Security: 

## Query parameters:

  - `CommissionPlan` (string, required)
    (Optional) The commission plan to use. The default web site CommissionPlan is used if none is specified. Available values: 0 = Default, 1 = C2Europe, 3 = IB, 4 = Tradovate, 5 = StoneX

  - `StrategyId` (integer,null)
    The StrategyId

  - `PersonId` (integer,null)
    (optional) The PersonId who will view the information. Available to WhiteLabel and GeoSite admins only. Default is the requester's PersonId

## Response 200 fields (application/json):

  - `Results` (array,null)
    Result array

  - `Results.Id` (integer)
    The row ID

  - `Results.TradeId` (integer,null)
    The TradeId

  - `Results.StrategyId` (integer,null)
    The C2 StrategyId

  - `Results.OpenDate` (string,null)
    DateTime when the trade was opened

  - `Results.CloseDate` (string,null)
    DateTime when the trade was closed

  - `Results.AvgOpenFillPrice` (number,null)
    The volume-weighted average opening fill price (VWAP)

  - `Results.AvgCloseFillPrice` (number,null)
    The volume-weighted average closing fill price (VWAP)

  - `Results.OpenedQuantity` (number,null)
    The total quantity opened

  - `Results.ClosedQuantity` (number,null)
    The total quantity closed

  - `Results.OpenSide` (string,null)
    '1' = Buy, '2' = Sell
    Enum: "1", "2"

  - `Results.CloseSide` (string,null)
    '1' = Buy, '2' = Sell
    Enum: "1", "2"

  - `Results.ProfitLoss` (number,null)
    The net profit or loss of the trade

  - `Results.Commission` (number,null)
    The commission included in the ProfitLoss

  - `Results.MaxDrawdown` (number,null)
    The unrealized currency loss when the maximum peak-to-valley drawdown occurred for this trade

  - `Results.MaxDrawdown_DateCalculated` (string,null)
    The timestamp when this maximum peak-to-valley drawdown was calculated in New York time zone

  - `Results.MaxDrawdown_WorstPrice` (number,null)
    The worst price during the peak-to-valley drawdown for this trade

  - `Results.MaxDrawdown_WorstPriceDate` (string,null)
    The date in New York time zone when the worst price occurred during the peak-to-valley drawdown for this trade

  - `Results.MaxDrawdown_StrategyEquity` (number,null)
    The Strategy equity when the maximum peak-to-valley drawdown occurred for this trade

  - `Results.MaxDrawdown_EntryPrice` (number,null)
    The price at which the trade causing the maximum equity drop

  - `Results.MaxDrawdown_OpenQuantity` (number,null)
    The size of the trade (number of units) that initiated the maximum peak-to-valley drawdown

  - `Results.C2Symbol` (object)

  - `Results.C2Symbol.FullSymbol` (string,null)
    The full native C2 symbol e.g. BSRR2121Q22.5

  - `Results.C2Symbol.SymbolType` (string,null)
    The type of instrument. e.g. 'stock', 'option', 'future', 'forex'

  - `Results.C2Symbol.Underlying` (string,null)
    Option Underlying symbol. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.Expiry` (string,null)
    Option expiry. Format is 'May21'. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.PutOrCall` (string,null)
    Option 'put' or 'call'. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.StrikePrice` (number,null)
    Option strike price. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.Description` (string,null)
    (optional) Instrument description. Read-only value sent in responses. It is ignored in requests.

  - `Results.ExchangeSymbol` (object)

  - `Results.ExchangeSymbol.Symbol` (string,null)
    The exchange root symbol e.g. AAPL

  - `Results.ExchangeSymbol.Currency` (string,null)
    The 3-character ISO instrument currency. E.g. 'USD'

  - `Results.ExchangeSymbol.SecurityExchange` (string,null)
    The MIC Exchange code. Set to DEFAULT for stocks, forex & options. For Futures, valid values are: XCME, XEUR, XICE, XLIF, XNYB, XNYM, XASX, XCBF, XCBT, XCEC, XKBT, XSES. See details at http://www.iso15022.org/MIC/homepageMIC.htm

  - `Results.ExchangeSymbol.SecurityType` (string,null)
    The SecurityType e.g. 'CS', 'FUT', 'OPT', 'FOR'

  - `Results.ExchangeSymbol.MaturityMonthYear` (string,null)
    The MaturityMonthYear e.g. '202503' (March 2025), or if the contract requires a day: '20210521' (May 21, 2025)

  - `Results.ExchangeSymbol.PutOrCall` (integer,null)
    The Option PutOrCall e.g. 0 = Put, 1 = Call

  - `Results.ExchangeSymbol.StrikePrice` (number,null)
    The ISO Option Strike Price. Zero means none

  - `Results.ExchangeSymbol.PriceMultiplier` (number,null)
    The multiplier to apply to the Exchange price to get the C2-formatted price. Read-only value sent in responses. It is ignored in requests.

  - `ResponseStatus` (object)

  - `ResponseStatus.ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `ResponseStatus.Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `ResponseStatus.Errors` (array,null)

  - `ResponseStatus.Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `ResponseStatus.Errors.FieldName` (string,null)
    The affected parameter.

  - `ResponseStatus.Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 400 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 401 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 403 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 404 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 406 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 409 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 429 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 500 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 503 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.


## Response 304 fields
